<template>
  <div class="row justify-content-center g-3">
    <div class="col col-auto">
      <ChevronLeftIcon class="icon-xxs" />
      <a v-if="previousJob" href="#" class="small" @click="clickPrevious">
        Previous
      </a>
      <span v-else class="small text-muted"> Previous </span>
    </div>
    <div class="col">
      <a v-if="nextJob" href="#" class="small" @click="clickNext"> Next </a>
      <span v-else class="small text-muted"> Next </span>
      <ChevronRightIcon class="icon-xxs" />
    </div>
  </div>
</template>
<script>
export default {
  props: {
    previousJob: {
      type: Object,
      default: () => {},
    },
    nextJob: {
      type: Object,
      default: () => {},
    },
  },
  methods: {
    async clickNext() {
      await this.loadNextParameters(this.nextJob.scenario.id);
      this.$nuxt.context.store.dispatch('ui/setActiveJob', {
        newActiveJob: {
          id: this.nextJob.id,
        },
      });
    },
    async clickPrevious() {
      await this.loadNextParameters(this.previousJob.scenario.id);
      this.$nuxt.context.store.dispatch('ui/setActiveJob', {
        newActiveJob: {
          id: this.previousJob.id,
        },
      });
    },
    async loadNextParameters(scenarioId) {
      const projectId = this.$nuxt.$route.params.id;
      const store = this.$nuxt.context.store;
      await store.dispatch('parameters/loadParameters', {
        projectId,
        scenarioId,
      });
    },
  },
};
</script>
